Skip to main content
GET
Get an interview module member

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Path Parameters

moduleId
string
required

an interview module ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:mod_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Example:

"mod_a1b2c3d4e5f64789a1b2c3d4e5f64789"

memberId
string
required

an user ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:usr_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Example:

"usr_a1b2c3d4e5f64789a1b2c3d4e5f64789"

Response

Success

user
object
required
training_status
enum<string>
required
Available options:
TRAINED,
SHADOW,
REVERSE_SHADOW
next_status
enum<string>
required
Available options:
TRAINED,
SHADOW,
REVERSE_SHADOW
paused
object
required
shadow_started_at
string<date-time> | null
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

reverse_shadow_started_at
string<date-time> | null
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

trained_at
string<date-time> | null
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

time_to_train
integer
required
Required range: x >= 0
weekly_interview_limit_override
integer | null
required

Member-specific maximum interviews per week; null means unlimited.

progress_percentage
integer
required

Share of all required shadow and reverse-shadow sessions completed, including manually completed sessions. It is 100 once trained.

Required range: 0 <= x <= 100
training_progress
object
required